events.listen('recipes', function (e) {  

    function r(id){e.remove({id:id})}

        r('appliedenergistics2:grinder/bonemeal')
        r('appliedenergistics2:grinder/certus_quartz_dust_ore')
        r('appliedenergistics2:grinder/certus_quartz_dust')
        r('appliedenergistics2:grinder/ender_dust')
        r('appliedenergistics2:grinder/flint')
        r('appliedenergistics2:grinder/flour')
        r('appliedenergistics2:grinder/fluix_dust')
        r('appliedenergistics2:grinder/gold_dust_ingot')
        r('appliedenergistics2:grinder/gold_dust_ore')
        r('appliedenergistics2:grinder/iron_dust_ingot')
        r('appliedenergistics2:grinder/iron_dust_ore')
        r('appliedenergistics2:grinder/nether_quartz_dust_ore')
        r('appliedenergistics2:grinder/nether_quartz_dust')
        r('appliedenergistics2:grinder/sky_dust')
        r('appliedenergistics2:inscriber/calculation_processor_press')
        r('appliedenergistics2:inscriber/engineering_processor_press')
        r('appliedenergistics2:inscriber/logic_processor_press')
        r('appliedenergistics2:inscriber/silicon_press')
        r('appliedenergistics2:misc/grindstone')
        r('appliedenergistics2:network/blocks/crystal_processing_charger')
        r('appliedenergistics2:network/blocks/inscribers')
        r('appliedenergistics2:network/cells/fluid_storage_cell_16k_storage')
        r('appliedenergistics2:network/cells/fluid_storage_cell_1k_storage')
        r('appliedenergistics2:network/cells/fluid_storage_cell_4k_storage')
        r('appliedenergistics2:network/cells/fluid_storage_cell_64k_storage')
        r('appliedenergistics2:network/cells/spatial_storage_cell_128_cubed_storage')
        r('appliedenergistics2:network/cells/spatial_storage_cell_16_cubed_storage')
        r('appliedenergistics2:network/cells/spatial_storage_cell_2_cubed_storage')
        r('appliedenergistics2:network/cells/storage_cell_16k_storage')
        r('appliedenergistics2:network/cells/storage_cell_1k_storage')
        r('appliedenergistics2:network/cells/storage_cell_4k_storage')
        r('appliedenergistics2:network/cells/storage_cell_64k_storage')
        r('appliedenergistics2:smelting/bread')
        r('appliedenergistics2:smelting/gold_ingot')
        r('appliedenergistics2:smelting/iron_ingot')
        r('appliedenergistics2:smelting/silicon')
        r('architects_palette:bone_meal')
        r('architects_palette:smelting/black_dye_from_withered_bone_smelting')
        r('betterendforge:terminite_ingot')
        r('bloodmagic:alchemytable/bread')
        r('bloodmagic:largebloodstonebrick')
        r('bloodmagic:smelting/ingot_gold')
        r('bloodmagic:smelting/ingot_iron')
        r('botania:dye_black')
        r('botania:dye_blue')
        r('botania:dye_brown')
        r('botania:dye_cyan')
        r('botania:dye_gray')
        r('botania:dye_green')
        r('botania:dye_light_blue')
        r('botania:dye_light_gray')
        r('botania:dye_lime')
        r('botania:dye_magenta')
        r('botania:dye_orange')
        r('botania:dye_pink')
        r('botania:dye_purple')
        r('botania:dye_red')
        r('botania:dye_white')
        r('botania:dye_yellow')
        r('botania:mana_infusion/mana_diamond_block')
        r('botania:mana_infusion/mana_powder_dye')
        r('botania:mana_infusion/manasteel_block')
        r('botania:pestle_and_mortar')
        r('botania:pure_daisy/obsidian')
        r('botania:red_string_alt')
        r('byg:therium_shard_and_steel')
        r('cb_microblock:diamond_saw')
        r('cb_microblock:iron_saw')
        r('cb_microblock:stone_rod')
        r('cb_microblock:stone_saw')
        r('compactcrafting:match_proxy')
        r('compactcrafting:rescan_proxy')
        r('create:blasting/copper_ingot_from_ore')
        r('create:blasting/ingot_lead_compat_immersiveengineering')
        r('create:blasting/ingot_lead_compat_mekanism')
        r('create:blasting/ingot_nickel_compat_immersiveengineering')
        r('create:blasting/ingot_silver_compat_immersiveengineering')
        r('create:blasting/ingot_tin_compat_mekanism')
        r('create:blasting/ingot_uranium_compat_immersiveengineering')
        r('create:compat/ae2/milling/sky_stone_block')
        r('create:compat/ae2/mixing/fluix_crystal')
        r('create:crafting/appliances/dough')
        r('create:crafting/kinetics/white_sail')
        r('create:crafting/materials/andesite_alloy_from_zinc')
        r('create:crafting/materials/andesite_alloy')
        r('create:crafting/materials/copper_block_from_compacting')
        r('create:crafting/materials/copper_ingot_from_compacting')
        r('create:crafting/materials/copper_ingot_from_decompacting')
        r('create:crafting/materials/copper_nugget_from_decompacting')
        r('create:crafting/sequenced_assembly/precision_mechanism')
        r('create:crushing/brass_block')
        r('create:crushing/copper_block')
        r('create:crushing/zinc_block')
        r('create:filling/grass_block')
        r('create:mixing/brass_ingot')
        r('create:pressing/zinc_sheet')
        r('create:smelting/copper_ingot_from_ore')
        r('create:smelting/ingot_lead_compat_immersiveengineering')
        r('create:smelting/ingot_lead_compat_mekanism')
        r('create:smelting/ingot_nickel_compat_immersiveengineering')
        r('create:smelting/ingot_silver_compat_immersiveengineering')
        r('create:smelting/ingot_tin_compat_mekanism')
        r('create:smelting/ingot_uranium_compat_immersiveengineering')
        r('create:splashing/immersiveengineering/crushed_lead_ore')
        r('create:splashing/immersiveengineering/crushed_nickel_ore')
        r('create:splashing/immersiveengineering/crushed_silver_ore')
        r('create:splashing/immersiveengineering/crushed_uranium_ore')
        r('create:splashing/mekanism/crushed_lead_ore')
        r('create:splashing/mekanism/crushed_tin_ore')
        r('create:splashing/wheat_flour')
        r('createaddition:compat/immersiveengineering/constantan')
        r('createaddition:compat/immersiveengineering/electrum')
        r('createaddition:compat/simplyjetpacks/thruster_ie1')
        r('createaddition:compat/simplyjetpacks/thruster_ie2')
        r('createaddition:compat/simplyjetpacks/thruster_ie3')
        r('createaddition:compat/tconstruct/hepatizon')
        r('createaddition:compat/tconstruct/manyullyn')
        r('createaddition:compat/tconstruct/pig_iron')
        r('createaddition:compat/tconstruct/queens_slime')
        r('createaddition:compat/tconstruct/rose_gold')
        r('createaddition:compat/tconstruct/slimesteel')
        r('createaddition:compat/tconstruct/tinkers_bronze')
        r('createaddition:crafting/heater_exchange')
        r('createaddition:crushing/diamond_ore')
        r('createdeco:netherite_ingot')
        r('createdeco:netherite_nugget_from_netherite_ingot')
        r('creategearaddon:crafting/kinetics/half_shaft_cherry_cogwheel_to_cherry_cogwheel')
        r('creategearaddon:crafting/kinetics/half_shaft_dead_cogwheel_to_dead_cogwheel')
        r('creategearaddon:crafting/kinetics/half_shaft_fir_cogwheel_to_fir_cogwheel')
        r('creategearaddon:crafting/kinetics/half_shaft_hellbark_cogwheel_to_hellbark_cogwheel')
        r('creategearaddon:crafting/kinetics/half_shaft_jacaranda_cogwheel_to_jacaranda_cogwheel')
        r('creategearaddon:crafting/kinetics/half_shaft_magic_cogwheel_to_magic_cogwheel')
        r('creategearaddon:crafting/kinetics/half_shaft_mahogany_cogwheel_to_mahogany_cogwheel')
        r('creategearaddon:crafting/kinetics/half_shaft_palm_cogwheel_to_palm_cogwheel')
        r('creategearaddon:crafting/kinetics/half_shaft_redwood_cogwheel_to_redwood_cogwheel')
        r('creategearaddon:crafting/kinetics/half_shaft_umbran_cogwheel_to_umbran_cogwheel')
        r('creategearaddon:crafting/kinetics/half_shaft_willow_cogwheel_to_willow_cogwheel')
        r('creategearaddon:crafting/kinetics/large_half_shaft_cherry_cogwheel_to_large_cherry_cogwheel')
        r('creategearaddon:crafting/kinetics/large_half_shaft_dead_cogwheel_to_large_dead_cogwheel')
        r('creategearaddon:crafting/kinetics/large_half_shaft_fir_cogwheel_to_large_fir_cogwheel')
        r('creategearaddon:crafting/kinetics/large_half_shaft_hellbark_cogwheel_to_large_hellbark_cogwheel')
        r('creategearaddon:crafting/kinetics/large_half_shaft_jacaranda_cogwheel_to_large_jacaranda_cogwheel')
        r('creategearaddon:crafting/kinetics/large_half_shaft_magic_cogwheel_to_large_magic_cogwheel')
        r('creategearaddon:crafting/kinetics/large_half_shaft_mahogany_cogwheel_to_large_mahogany_cogwheel')
        r('creategearaddon:crafting/kinetics/large_half_shaft_palm_cogwheel_to_large_palm_cogwheel')
        r('creategearaddon:crafting/kinetics/large_half_shaft_redwood_cogwheel_to_large_redwood_cogwheel')
        r('creategearaddon:crafting/kinetics/large_half_shaft_umbran_cogwheel_to_large_umbran_cogwheel')
        r('creategearaddon:crafting/kinetics/large_half_shaft_willow_cogwheel_to_large_willow_cogwheel')
        r('creategearaddon:crafting/kinetics/large_shaftless_cherry_cogwheel_from_large_cherry_cogwheel')
        r('creategearaddon:crafting/kinetics/large_shaftless_cherry_cogwheel_to_large_cherry_cogwheel')
        r('creategearaddon:crafting/kinetics/large_shaftless_dead_cogwheel_from_large_dead_cogwheel')
        r('creategearaddon:crafting/kinetics/large_shaftless_dead_cogwheel_to_large_dead_cogwheel')
        r('creategearaddon:crafting/kinetics/large_shaftless_fir_cogwheel_from_large_fir_cogwheel')
        r('creategearaddon:crafting/kinetics/large_shaftless_fir_cogwheel_to_large_fir_cogwheel')
        r('creategearaddon:crafting/kinetics/large_shaftless_hellbark_cogwheel_from_large_hellbark_cogwheel')
        r('creategearaddon:crafting/kinetics/large_shaftless_hellbark_cogwheel_to_large_hellbark_cogwheel')
        r('creategearaddon:crafting/kinetics/large_shaftless_jacaranda_cogwheel_from_large_jacaranda_cogwheel')
        r('creategearaddon:crafting/kinetics/large_shaftless_jacaranda_cogwheel_to_large_jacaranda_cogwheel')
        r('creategearaddon:crafting/kinetics/large_shaftless_magic_cogwheel_from_large_magic_cogwheel')
        r('creategearaddon:crafting/kinetics/large_shaftless_magic_cogwheel_to_large_magic_cogwheel')
        r('creategearaddon:crafting/kinetics/large_shaftless_mahogany_cogwheel_from_large_mahogany_cogwheel')
        r('creategearaddon:crafting/kinetics/large_shaftless_mahogany_cogwheel_to_large_mahogany_cogwheel')
        r('creategearaddon:crafting/kinetics/large_shaftless_palm_cogwheel_from_large_palm_cogwheel')
        r('creategearaddon:crafting/kinetics/large_shaftless_palm_cogwheel_to_large_palm_cogwheel')
        r('creategearaddon:crafting/kinetics/large_shaftless_redwood_cogwheel_from_large_redwood_cogwheel')
        r('creategearaddon:crafting/kinetics/large_shaftless_redwood_cogwheel_to_large_redwood_cogwheel')
        r('creategearaddon:crafting/kinetics/large_shaftless_umbran_cogwheel_from_large_umbran_cogwheel')
        r('creategearaddon:crafting/kinetics/large_shaftless_umbran_cogwheel_to_large_umbran_cogwheel')
        r('creategearaddon:crafting/kinetics/large_shaftless_willow_cogwheel_from_large_willow_cogwheel')
        r('creategearaddon:crafting/kinetics/large_shaftless_willow_cogwheel_to_large_willow_cogwheel')
        r('creategearaddon:crafting/kinetics/shaftless_cherry_cogwheel_from_cherry_cogwheel')
        r('creategearaddon:crafting/kinetics/shaftless_cherry_cogwheel_to_cherry_cogwheel')
        r('creategearaddon:crafting/kinetics/shaftless_dead_cogwheel_from_dead_cogwheel')
        r('creategearaddon:crafting/kinetics/shaftless_dead_cogwheel_to_dead_cogwheel')
        r('creategearaddon:crafting/kinetics/shaftless_fir_cogwheel_from_fir_cogwheel')
        r('creategearaddon:crafting/kinetics/shaftless_fir_cogwheel_to_fir_cogwheel')
        r('creategearaddon:crafting/kinetics/shaftless_helbark_cogwheel_from_hellbark_cogwheel')
        r('creategearaddon:crafting/kinetics/shaftless_hellbark_cogwheel_to_hellbark_cogwheel')
        r('creategearaddon:crafting/kinetics/shaftless_jacaranda_cogwheel_from_jacaranda_cogwheel')
        r('creategearaddon:crafting/kinetics/shaftless_jacaranda_cogwheel_to_jacaranda_cogwheel')
        r('creategearaddon:crafting/kinetics/shaftless_magic_cogwheel_from_magic_cogwheel')
        r('creategearaddon:crafting/kinetics/shaftless_magic_cogwheel_to_magic_cogwheel')
        r('creategearaddon:crafting/kinetics/shaftless_mahogany_cogwheel_from_mahogany_cogwheel')
        r('creategearaddon:crafting/kinetics/shaftless_mahogany_cogwheel_to_mahogany_cogwheel')
        r('creategearaddon:crafting/kinetics/shaftless_palm_cogwheel_from_palm_cogwheel')
        r('creategearaddon:crafting/kinetics/shaftless_palm_cogwheel_to_palm_cogwheel')
        r('creategearaddon:crafting/kinetics/shaftless_redwood_cogwheel_from_redwood_cogwheel')
        r('creategearaddon:crafting/kinetics/shaftless_redwood_cogwheel_to_redwood_cogwheel')
        r('creategearaddon:crafting/kinetics/shaftless_umbran_cogwheel_from_umbran_cogwheel')
        r('creategearaddon:crafting/kinetics/shaftless_umbran_cogwheel_to_umbran_cogwheel')
        r('creategearaddon:crafting/kinetics/shaftless_willow_cogwheel_from_willow_cogwheel')
        r('creategearaddon:crafting/kinetics/shaftless_willow_cogwheel_to_willow_cogwheel')
        r('creategearaddon:sequenced_assembly/precision_mechanism_cherry')
        r('creategearaddon:sequenced_assembly/precision_mechanism_dead')
        r('creategearaddon:sequenced_assembly/precision_mechanism_fir')
        r('creategearaddon:sequenced_assembly/precision_mechanism_hellbark')
        r('creategearaddon:sequenced_assembly/precision_mechanism_jacaranda')
        r('creategearaddon:sequenced_assembly/precision_mechanism_magic')
        r('creategearaddon:sequenced_assembly/precision_mechanism_mahogany')
        r('creategearaddon:sequenced_assembly/precision_mechanism_palm')
        r('creategearaddon:sequenced_assembly/precision_mechanism_redwood')
        r('creategearaddon:sequenced_assembly/precision_mechanism_umbran')
        r('creategearaddon:sequenced_assembly/precision_mechanism_willow')
        r('darkutils:crafting/dark_glass')
        r('draconic_evolution:crops/awakened_draconium')
        r('draconic_evolution:crops/draconium')
        r('draconicevolution:awakened_draconium_block')
        r('envirocore:items/ct_litherite2')
        r('envirocore:items/ct_litherite4')
        r('envirocore:items/ct_litherite6')
        r('envirocore:items/ct_litherite8')
        r('excompressum:compressed_flint_unpack')
        r('excompressum:compressed_flint')
        r('exnihilosequentia:crucible/ens_andesite')
        r('exnihilosequentia:crucible/ens_crushed_end_stone')
        r('exnihilosequentia:crucible/ens_crushed_netherrack')
        r('exnihilosequentia:crucible/ens_diorite')
        r('exnihilosequentia:crucible/ens_dust')
        r('exnihilosequentia:crucible/ens_granite')
        r('exnihilosequentia:crucible/ens_gravel')
        r('exnihilosequentia:crucible/ens_leaves')
        r('exnihilosequentia:crucible/ens_sand')
        r('exnihilosequentia:crucible/ens_saplings')
        r('exnihilosequentia:ens_acacia_crucible')
        r('exnihilosequentia:ens_birch_crucible')
        r('exnihilosequentia:ens_chunk_aluminum')
        r('exnihilosequentia:ens_chunk_copper')
        r('exnihilosequentia:ens_chunk_gold')
        r('exnihilosequentia:ens_chunk_iron')
        r('exnihilosequentia:ens_chunk_lead')
        r('exnihilosequentia:ens_chunk_nickel')
        r('exnihilosequentia:ens_chunk_silver')
        r('exnihilosequentia:ens_chunk_uranium')
        r('exnihilosequentia:ens_chunk_zinc')
        r('exnihilosequentia:ens_crimson_crucible')
        r('exnihilosequentia:ens_crucible_wood')
        r('exnihilosequentia:ens_dark_oak_crucible')
        r('exnihilosequentia:ens_end_cake')
        r('exnihilosequentia:ens_ingot_aluminum_blast')
        r('exnihilosequentia:ens_ingot_aluminum')
        r('exnihilosequentia:ens_ingot_copper_blast')
        r('exnihilosequentia:ens_ingot_copper')
        r('exnihilosequentia:ens_ingot_lead_blast')
        r('exnihilosequentia:ens_ingot_lead')
        r('exnihilosequentia:ens_ingot_nickel_blast')
        r('exnihilosequentia:ens_ingot_nickel')
        r('exnihilosequentia:ens_ingot_silver_blast')
        r('exnihilosequentia:ens_ingot_silver')
        r('exnihilosequentia:ens_ingot_tin_blast')
        r('exnihilosequentia:ens_ingot_tin')
        r('exnihilosequentia:ens_ingot_uranium_blast')
        r('exnihilosequentia:ens_ingot_uranium')
        r('exnihilosequentia:ens_ingot_zinc_blast')
        r('exnihilosequentia:ens_ingot_zinc')
        r('exnihilosequentia:ens_jungle_crucible')
        r('exnihilosequentia:ens_spruce_crucible')
        r('exnihilosequentia:ens_stone_crafting_table')
        r('exnihilosequentia:ens_warped_crucible')
        r('exnihilosequentia:heat/ens_furnace')
        r('exnihilosequentia:heat/ens_redstone_torch')
        r('exnihilosequentia:heat/ens_redstone_wall_torch')
        r('exnihilosequentia:heat/ens_torch')
        r('exnihilosequentia:heat/ens_wall_torch')
        r('exnihilosequentia:sieve/ens_acacia_leaves')
        r('exnihilosequentia:sieve/ens_apple')
        r('exnihilosequentia:sieve/ens_birch_leaves')
        r('exnihilosequentia:sieve/ens_dark_oak_leaves')
        r('exnihilosequentia:sieve/ens_dirt')
        r('exnihilosequentia:sieve/ens_golden_apple')
        r('exnihilosequentia:sieve/ens_gravel')
        r('exnihilosequentia:sieve/ens_jungle_leaves')
        r('exnihilosequentia:sieve/ens_oak_leaves')
        r('exnihilosequentia:sieve/ens_piece_aluminum_gravel')
        r('exnihilosequentia:sieve/ens_piece_iron_sand')
        r('exnihilosequentia:sieve/ens_piece_nickel_gravel')
        r('exnihilosequentia:sieve/ens_piece_silver_gravel')
        r('exnihilosequentia:sieve/ens_piece_zinc_gravel')
        r('exnihilosequentia:sieve/ens_sea_grass')
        r('exnihilosequentia:sieve/ens_seagrass')
        r('exnihilosequentia:sieve/ens_seed_acacia')
        r('exnihilosequentia:sieve/ens_seed_birch')
        r('exnihilosequentia:sieve/ens_seed_darkoak')
        r('exnihilosequentia:sieve/ens_seed_jungle')
        r('exnihilosequentia:sieve/ens_seed_oak')
        r('exnihilosequentia:sieve/ens_seed_spruce')
        r('exnihilosequentia:sieve/ens_silkworm')
        r('exnihilosequentia:sieve/ens_spruce_leaves')
        r('extendedcrafting:black_iron_ingot')
        r('extendedcrafting:luminessence')
        r('gardenofglass:end_portal_frame')
        r('gardenofglass:pebble_to_cobblestone')
        r('gardenofglass:root_to_fertilizer')
        r('immersiveengineering:alloysmelter/brass')
        r('immersiveengineering:alloysmelter/bronze')
        r('immersiveengineering:alloysmelter/constantan')
        r('immersiveengineering:alloysmelter/electrum')
        r('immersiveengineering:alloysmelter/invar')
        r('immersiveengineering:alloysmelter/manyullyn')
        r('immersiveengineering:alloysmelter/rose_gold')
        r('immersiveengineering:arcfurnace/alloy_brass')
        r('immersiveengineering:arcfurnace/alloy_bronze')
        r('immersiveengineering:arcfurnace/alloy_constantan')
        r('immersiveengineering:arcfurnace/alloy_electrum')
        r('immersiveengineering:arcfurnace/alloy_invar')
        r('immersiveengineering:arcfurnace/alloy_manyullyn')
        r('immersiveengineering:arcfurnace/alloy_rose_gold')
        r('immersiveengineering:blastfurnace/fuel_charcoal_block')
        r('immersiveengineering:blastfurnace/fuel_charcoal')
        r('immersiveengineering:blueprint/component_iron')
        r('immersiveengineering:blueprint/component_steel')
        r('immersiveengineering:blueprint/mold_gear')
        r('immersiveengineering:blueprint/mold_packing_4')
        r('immersiveengineering:blueprint/mold_packing_9')
        r('immersiveengineering:blueprint/mold_plate')
        r('immersiveengineering:blueprint/mold_rod')
        r('immersiveengineering:blueprint/mold_unpacking')
        r('immersiveengineering:blueprint/mold_wire')
        r('immersiveengineering:cokeoven/charcoal')
        r('immersiveengineering:crafting/alloybrick_from_slab')
        r('immersiveengineering:crafting/alloybrick_to_slab')
        r('immersiveengineering:crafting/alloybrick')
        r('immersiveengineering:crafting/coal_coke_to_coke')
        r('immersiveengineering:crafting/coke_to_coal_coke')
        r('immersiveengineering:crafting/concrete')
        r('immersiveengineering:crafting/concrete2')
        r('immersiveengineering:crafting/constantan_mix')
        r('immersiveengineering:crafting/electrum_mix')
        r('immersiveengineering:crafting/furnace_heater')
        r('immersiveengineering:crafting/gold_ingot_from_dust_from_blasting')
        r('immersiveengineering:crafting/gold_ingot_from_dust')
        r('immersiveengineering:crafting/gunpowder_from_dusts')
        r('immersiveengineering:crafting/hammercrushing_aluminum')
        r('immersiveengineering:crafting/hammercrushing_ardite')
        r('immersiveengineering:crafting/hammercrushing_cobalt')
        r('immersiveengineering:crafting/hammercrushing_copper')
        r('immersiveengineering:crafting/hammercrushing_gold')
        r('immersiveengineering:crafting/hammercrushing_iron')
        r('immersiveengineering:crafting/hammercrushing_lead')
        r('immersiveengineering:crafting/hammercrushing_nickel')
        r('immersiveengineering:crafting/hammercrushing_osmium')
        r('immersiveengineering:crafting/hammercrushing_platinum')
        r('immersiveengineering:crafting/hammercrushing_silver')
        r('immersiveengineering:crafting/hammercrushing_tin')
        r('immersiveengineering:crafting/hammercrushing_tungsten')
        r('immersiveengineering:crafting/hammercrushing_uranium')
        r('immersiveengineering:crafting/hammercrushing_zinc')
        r('immersiveengineering:crafting/ingot_constantan_from_dust_from_blasting')
        r('immersiveengineering:crafting/ingot_constantan_from_dust')
        r('immersiveengineering:crafting/ingot_constantan_to_nugget_constantan')
        r('immersiveengineering:crafting/ingot_constantan_to_storage_constantan')
        r('immersiveengineering:crafting/ingot_copper_from_blasting')
        r('immersiveengineering:crafting/ingot_copper_from_dust_from_blasting')
        r('immersiveengineering:crafting/ingot_copper_from_dust')
        r('immersiveengineering:crafting/ingot_copper_to_nugget_copper')
        r('immersiveengineering:crafting/ingot_copper_to_storage_copper')
        r('immersiveengineering:crafting/ingot_copper')
        r('immersiveengineering:crafting/ingot_electrum_from_dust_from_blasting')
        r('immersiveengineering:crafting/ingot_electrum_from_dust')
        r('immersiveengineering:crafting/ingot_electrum_to_nugget_electrum')
        r('immersiveengineering:crafting/ingot_electrum_to_storage_electrum')
        r('immersiveengineering:crafting/ingot_lead_from_blasting')
        r('immersiveengineering:crafting/ingot_lead_from_dust_from_blasting')
        r('immersiveengineering:crafting/ingot_lead_from_dust')
        r('immersiveengineering:crafting/ingot_lead_to_nugget_lead')
        r('immersiveengineering:crafting/ingot_lead_to_storage_lead')
        r('immersiveengineering:crafting/ingot_lead')
        r('immersiveengineering:crafting/ingot_nickel_from_blasting')
        r('immersiveengineering:crafting/ingot_nickel_from_dust_from_blasting')
        r('immersiveengineering:crafting/ingot_nickel_from_dust')
        r('immersiveengineering:crafting/ingot_nickel_to_nugget_nickel')
        r('immersiveengineering:crafting/ingot_nickel_to_storage_nickel')
        r('immersiveengineering:crafting/ingot_nickel')
        r('immersiveengineering:crafting/ingot_silver_from_blasting')
        r('immersiveengineering:crafting/ingot_silver_from_dust_from_blasting')
        r('immersiveengineering:crafting/ingot_silver_from_dust')
        r('immersiveengineering:crafting/ingot_silver_to_nugget_silver')
        r('immersiveengineering:crafting/ingot_silver_to_storage_silver')
        r('immersiveengineering:crafting/ingot_silver')
        r('immersiveengineering:crafting/ingot_steel_from_dust_from_blasting')
        r('immersiveengineering:crafting/ingot_steel_from_dust')
        r('immersiveengineering:crafting/ingot_steel_to_nugget_steel')
        r('immersiveengineering:crafting/ingot_steel_to_storage_steel')
        r('immersiveengineering:crafting/ingot_uranium_from_blasting')
        r('immersiveengineering:crafting/ingot_uranium_from_dust_from_blasting')
        r('immersiveengineering:crafting/ingot_uranium_from_dust')
        r('immersiveengineering:crafting/ingot_uranium_to_nugget_uranium')
        r('immersiveengineering:crafting/ingot_uranium_to_storage_uranium')
        r('immersiveengineering:crafting/ingot_uranium')
        r('immersiveengineering:crafting/iron_ingot_from_dust_from_blasting')
        r('immersiveengineering:crafting/iron_ingot_from_dust')
        r('immersiveengineering:crafting/nugget_constantan_to_ingot_constantan')
        r('immersiveengineering:crafting/nugget_copper_to_ingot_copper')
        r('immersiveengineering:crafting/nugget_electrum_to_ingot_electrum')
        r('immersiveengineering:crafting/nugget_lead_to_ingot_lead')
        r('immersiveengineering:crafting/nugget_nickel_to_ingot_nickel')
        r('immersiveengineering:crafting/nugget_silver_to_ingot_silver')
        r('immersiveengineering:crafting/nugget_steel_to_ingot_steel')
        r('immersiveengineering:crafting/nugget_uranium_to_ingot_uranium')
        r('immersiveengineering:crafting/plate_aluminum_hammering')
        r('immersiveengineering:crafting/plate_constantan_hammering')
        r('immersiveengineering:crafting/plate_copper_hammering')
        r('immersiveengineering:crafting/plate_electrum_hammering')
        r('immersiveengineering:crafting/plate_gold_hammering')
        r('immersiveengineering:crafting/plate_iron_hammering')
        r('immersiveengineering:crafting/plate_lead_hammering')
        r('immersiveengineering:crafting/plate_nickel_hammering')
        r('immersiveengineering:crafting/plate_silver_hammering')
        r('immersiveengineering:crafting/plate_steel_hammering')
        r('immersiveengineering:crafting/plate_uranium_hammering')
        r('immersiveengineering:crafting/stick_aluminum')
        r('immersiveengineering:crafting/stick_iron')
        r('immersiveengineering:crafting/stick_steel')
        r('immersiveengineering:crafting/storage_constantan_to_ingot_constantan')
        r('immersiveengineering:crafting/storage_copper_from_slab')
        r('immersiveengineering:crafting/storage_copper_to_ingot_copper')
        r('immersiveengineering:crafting/storage_electrum_to_ingot_electrum')
        r('immersiveengineering:crafting/storage_lead_to_ingot_lead')
        r('immersiveengineering:crafting/storage_nickel_to_ingot_nickel')
        r('immersiveengineering:crafting/storage_silver_to_ingot_silver')
        r('immersiveengineering:crafting/storage_steel_to_ingot_steel')
        r('immersiveengineering:crafting/storage_uranium_to_ingot_uranium')
        r('immersiveengineering:crafting/treated_wood_horizontal')
        r('immersiveengineering:crafting/wire_aluminum')
        r('immersiveengineering:crafting/wire_copper')
        r('immersiveengineering:crafting/wire_electrum')
        r('immersiveengineering:crafting/wire_lead')
        r('immersiveengineering:crafting/wire_steel')
        r('immersiveengineering:metalpress/electrode')
        r('immersiveengineering:metalpress/gear_bronze')
        r('immersiveengineering:metalpress/gear_constantan')
        r('immersiveengineering:metalpress/gear_copper')
        r('immersiveengineering:metalpress/gear_electrum')
        r('immersiveengineering:metalpress/gear_gold')
        r('immersiveengineering:metalpress/gear_invar')
        r('immersiveengineering:metalpress/gear_iron')
        r('immersiveengineering:metalpress/gear_lead')
        r('immersiveengineering:metalpress/gear_nickel')
        r('immersiveengineering:metalpress/gear_silver')
        r('immersiveengineering:metalpress/gear_steel')
        r('immersiveengineering:metalpress/gear_tin')
        r('immersiveengineering:metalpress/melon')
        r('immersiveengineering:metalpress/plate_aluminum')
        r('immersiveengineering:metalpress/plate_brass')
        r('immersiveengineering:metalpress/plate_bronze')
        r('immersiveengineering:metalpress/plate_constantan')
        r('immersiveengineering:metalpress/plate_copper')
        r('immersiveengineering:metalpress/plate_electrum')
        r('immersiveengineering:metalpress/plate_gold')
        r('immersiveengineering:metalpress/plate_invar')
        r('immersiveengineering:metalpress/plate_iron')
        r('immersiveengineering:metalpress/plate_lead')
        r('immersiveengineering:metalpress/plate_nickel')
        r('immersiveengineering:metalpress/plate_silver')
        r('immersiveengineering:metalpress/plate_steel')
        r('immersiveengineering:metalpress/plate_tin')
        r('immersiveengineering:metalpress/plate_uranium')
        r('immersiveengineering:metalpress/plate_zinc')
        r('immersiveengineering:metalpress/rod_aluminum')
        r('immersiveengineering:metalpress/rod_brass')
        r('immersiveengineering:metalpress/rod_copper')
        r('immersiveengineering:metalpress/rod_gold')
        r('immersiveengineering:metalpress/rod_iron')
        r('immersiveengineering:metalpress/rod_steel')
        r('immersiveengineering:metalpress/wire_aluminum')
        r('immersiveengineering:metalpress/wire_copper')
        r('immersiveengineering:metalpress/wire_electrum')
        r('immersiveengineering:metalpress/wire_gold')
        r('immersiveengineering:metalpress/wire_iron')
        r('immersiveengineering:metalpress/wire_lead')
        r('immersiveengineering:metalpress/wire_steel')
        r('immersiveengineering:mixer/concrete')
        r('immersiveengineering:squeezer/graphite_dust')
        r('industrialforegoing:black_hole_controller')
        r('industrialforegoing:crusher/sand_silicon')
        r('industrialforegoing:diamond_gear')
        r('industrialforegoing:dissolution_chamber/pink_slime_ingot')
        r('industrialforegoing:fluid_extractor/acacia')
        r('industrialforegoing:fluid_extractor/birch')
        r('industrialforegoing:fluid_extractor/dark_oak')
        r('industrialforegoing:fluid_extractor/oak')
        r('industrialforegoing:fluid_extractor/spruce')
        r('industrialforegoing:fluid_transporter_type')
        r('industrialforegoing:gold_gear')
        r('industrialforegoing:iron_gear')
        r('industrialforegoing:item_transporter_type')
        r('industrialforegoing:world_transporter_type')
        r('ironchest:chests/copper_silver_chest')
        r('ironchest:chests/iron_gold_chest')
        r('ironchest:chests/silver_diamond_chest')
        r('ironchest:chests/vanilla_iron_chest')
        r('ironchest:upgrades/copper_to_iron_chest_upgrade')
        r('ironchest:upgrades/copper_to_silver_chest_upgrade')
        r('ironchest:upgrades/diamond_to_crystal_chest_upgrade')
        r('ironchest:upgrades/diamond_to_obsidian_chest_upgrade')
        r('ironchest:upgrades/gold_to_diamond_chest_upgrade')
        r('ironchest:upgrades/iron_to_gold_chest_upgrade')
        r('ironchest:upgrades/silver_to_gold_chest_upgrade')
        r('ironchest:upgrades/wood_to_copper_chest_upgrade')
        r('ironchest:upgrades/wood_to_iron_chest_upgrade')
        r('ironfurnaces:gold_furnace')
        r('ironfurnaces:iron_furnace')
        r('ironfurnaces:obsidian_furnace2')
        r('ironfurnaces:silver_furnace2')
        r('ironfurnaces:upgrade_copper')
        r('ironfurnaces:upgrade_crystal')
        r('ironfurnaces:upgrade_diamond')
        r('ironfurnaces:upgrade_emerald')
        r('ironfurnaces:upgrade_gold')
        r('ironfurnaces:upgrade_gold2')
        r('ironfurnaces:upgrade_iron')
        r('ironfurnaces:upgrade_iron2')
        r('ironfurnaces:upgrade_netherite')
        r('ironfurnaces:upgrade_obsidian')
        r('ironfurnaces:upgrade_obsidian2')
        r('ironfurnaces:upgrade_silver')
        r('ironfurnaces:upgrade_silver2')
        r('materialis:smeltery/alloys/molten_fairy')
        r('materialis:smeltery/alloys/molten_pink_slime')
        r('mekanism:charcoal')
        r('mekanism:compat/appliedenergistics2/certus_crystal_purification')
        r('mekanism:compat/appliedenergistics2/certus_seed_to_purified_crystal')
        r('mekanism:compat/appliedenergistics2/fluix_crystal_purification')
        r('mekanism:compat/appliedenergistics2/fluix_seed_to_purified_crystal')
        r('mekanism:compat/appliedenergistics2/nether_seed_to_purified_crystal')
        r('mekanism:factory/advanced/combining')
        r('mekanism:factory/advanced/compressing')
        r('mekanism:factory/advanced/crushing')
        r('mekanism:factory/advanced/enriching')
        r('mekanism:factory/advanced/infusing')
        r('mekanism:factory/advanced/injecting')
        r('mekanism:factory/advanced/purifying')
        r('mekanism:factory/advanced/sawing')
        r('mekanism:factory/advanced/smelting')
        r('mekanism:factory/basic/combining')
        r('mekanism:factory/basic/compressing')
        r('mekanism:factory/basic/crushing')
        r('mekanism:factory/basic/enriching')
        r('mekanism:factory/basic/infusing')
        r('mekanism:factory/basic/injecting')
        r('mekanism:factory/basic/purifying')
        r('mekanism:factory/basic/sawing')
        r('mekanism:factory/basic/smelting')
        r('mekanism:factory/elite/combining')
        r('mekanism:factory/elite/compressing')
        r('mekanism:factory/elite/crushing')
        r('mekanism:factory/elite/enriching')
        r('mekanism:factory/elite/infusing')
        r('mekanism:factory/elite/injecting')
        r('mekanism:factory/elite/purifying')
        r('mekanism:factory/elite/sawing')
        r('mekanism:factory/elite/smelting')
        r('mekanism:factory/ultimate/combining')
        r('mekanism:factory/ultimate/compressing')
        r('mekanism:factory/ultimate/crushing')
        r('mekanism:factory/ultimate/enriching')
        r('mekanism:factory/ultimate/infusing')
        r('mekanism:factory/ultimate/injecting')
        r('mekanism:factory/ultimate/purifying')
        r('mekanism:factory/ultimate/sawing')
        r('mekanism:factory/ultimate/smelting')
        r('mekanism:nuggets/bronze')
        r('mekanism:paper')
        r('mekanism:processing/bronze/ingot/from_block')
        r('mekanism:processing/bronze/ingot/from_dust_blasting')
        r('mekanism:processing/bronze/ingot/from_dust_smelting')
        r('mekanism:processing/bronze/ingot/from_nuggets')
        r('mekanism:processing/copper/ingot/from_block')
        r('mekanism:processing/copper/ingot/from_dust_blasting')
        r('mekanism:processing/copper/ingot/from_dust_smelting')
        r('mekanism:processing/copper/ingot/from_nuggets')
        r('mekanism:processing/copper/ingot/from_ore_blasting')
        r('mekanism:processing/copper/ingot/from_ore_smelting')
        r('mekanism:processing/copper/nugget/from_ingot')
        r('mekanism:processing/copper/storage_blocks/from_ingots')
        r('mekanism:processing/gold/ingot/from_dust_blasting')
        r('mekanism:processing/gold/ingot/from_dust_smelting')
        r('mekanism:processing/iron/ingot/from_dust_blasting')
        r('mekanism:processing/iron/ingot/from_dust_smelting')
        r('mekanism:processing/lead/ingot/from_block')
        r('mekanism:processing/lead/ingot/from_dust_blasting')
        r('mekanism:processing/lead/ingot/from_dust_smelting')
        r('mekanism:processing/lead/ingot/from_nuggets')
        r('mekanism:processing/lead/ingot/from_ore_blasting')
        r('mekanism:processing/lead/ingot/from_ore_smelting')
        r('mekanism:processing/lead/nugget/from_ingot')
        r('mekanism:processing/lead/storage_blocks/from_ingots')
        r('mekanism:processing/netherite/ingot_from_dust_blasting')
        r('mekanism:processing/netherite/ingot_from_dust_smelting')
        r('mekanism:processing/tin/ingot/from_block')
        r('mekanism:processing/tin/ingot/from_dust_blasting')
        r('mekanism:processing/tin/ingot/from_dust_smelting')
        r('mekanism:processing/tin/ingot/from_nuggets')
        r('mekanism:processing/tin/ingot/from_ore_blasting')
        r('mekanism:processing/tin/ingot/from_ore_smelting')
        r('mekanism:processing/tin/nugget/from_ingot')
        r('mekanism:processing/tin/storage_blocks/from_ingots')
        r('mekanism:storage_blocks/bronze')
        r('mekanism:storage_blocks/charcoal')
        r('metalbarrels:barrels/iron_to_gold_barrel')
        r('metalbarrels:barrels/silver_to_diamond_barrel')
        r('metalbarrels:barrels/wood_to_gold_barrel')
        r('metalbarrels:barrels/wood_to_iron_barrel')
        r('metalbarrels:upgrades/combine/wood_to_diamond/wood_to_diamond')
        r('metalbarrels:upgrades/combine/wood_to_diamond/wood_to_diamond2')
        r('metalbarrels:upgrades/combine/wood_to_diamond/wood_to_diamond3')
        r('metalbarrels:upgrades/combine/wood_to_diamond/wood_to_diamond4')
        r('metalbarrels:upgrades/combine/wood_to_diamond/wood_to_diamond5')
        r('metalbarrels:upgrades/combine/wood_to_gold/wood_to_gold')
        r('metalbarrels:upgrades/combine/wood_to_gold/wood_to_gold2')
        r('metalbarrels:upgrades/combine/wood_to_gold/wood_to_gold3')
        r('metalbarrels:upgrades/combine/wood_to_gold/wood_to_gold4')
        r('metalbarrels:upgrades/combine/wood_to_gold/wood_to_gold5')
        r('metalbarrels:upgrades/combine/wood_to_gold/wood_to_gold6')
        r('metalbarrels:upgrades/combine/wood_to_gold/wood_to_gold7')
        r('metalbarrels:upgrades/combine/wood_to_obsidian/wood_to_obsidian')
        r('metalbarrels:upgrades/combine/wood_to_obsidian/wood_to_obsidian2')
        r('metalbarrels:upgrades/combine/wood_to_silver/wood_to_silver')
        r('metalbarrels:upgrades/combine/wood_to_silver/wood_to_silver2')
        r('metalbarrels:upgrades/combine/wood_to_silver/wood_to_silver3')
        r('metalbarrels:upgrades/copper_to_iron_upgrade')
        r('metalbarrels:upgrades/copper_to_silver_upgrade')
        r('metalbarrels:upgrades/diamond_to_crystal_upgrade')
        r('metalbarrels:upgrades/diamond_to_obsidian_upgrade')
        r('metalbarrels:upgrades/gold_to_diamond_upgrade')
        r('metalbarrels:upgrades/iron_to_gold_upgrade')
        r('metalbarrels:upgrades/iron_to_silver_upgrade')
        r('metalbarrels:upgrades/nested/copper_to_crystal_upgrade')
        r('metalbarrels:upgrades/nested/copper_to_diamond_upgrade')
        r('metalbarrels:upgrades/nested/copper_to_gold_upgrade')
        r('metalbarrels:upgrades/nested/copper_to_gold_upgrade2')
        r('metalbarrels:upgrades/nested/copper_to_obsidian_upgrade')
        r('metalbarrels:upgrades/nested/gold_to_crystal_upgrade')
        r('metalbarrels:upgrades/nested/gold_to_obsidian_upgrade')
        r('metalbarrels:upgrades/nested/iron_to_crystal_upgrade')
        r('metalbarrels:upgrades/nested/iron_to_diamond_upgrade')
        r('metalbarrels:upgrades/nested/iron_to_obsidian_upgrade')
        r('metalbarrels:upgrades/nested/silver_to_crystal_upgrade')
        r('metalbarrels:upgrades/nested/silver_to_obsidian_upgrade')
        r('metalbarrels:upgrades/nested/wood_to_crystal_upgrade')
        r('metalbarrels:upgrades/nested/wood_to_diamond_upgrade')
        r('metalbarrels:upgrades/nested/wood_to_gold_upgrade')
        r('metalbarrels:upgrades/nested/wood_to_obsidian_upgrade')
        r('metalbarrels:upgrades/nested/wood_to_silver_upgrade')
        r('metalbarrels:upgrades/silver_to_diamond_upgrade')
        r('metalbarrels:upgrades/silver_to_gold_upgrade')
        r('metalbarrels:upgrades/wood_to_copper_upgrade')
        r('metalbarrels:upgrades/wood_to_iron_upgrade')
        r('minecraft:beacon')
        r('minecraft:bread')
        r('minecraft:cake')
        r('minecraft:charcoal')
        r('minecraft:end_crystal')
        r('minecraft:ens_ancient_debris')
        r('minecraft:ens_blast_ingot_gold')
        r('minecraft:ens_blast_ingot_iron')
        r('minecraft:ens_crying_obsidian')
        r('minecraft:ens_ingot_gold_blast')
        r('minecraft:ens_ingot_gold')
        r('minecraft:ens_ingot_iron_blast')
        r('minecraft:ens_ingot_iron')
        r('minecraft:netherite_ingot')
        r('mining_dimension:teleporter')
        r('miniutilities:angel_ring')
        r('miniutilities:bat_angel_ring')
        r('miniutilities:blessed_earth')
        r('miniutilities:blursed_earth')
        r('miniutilities:chorus_tile')
        r('miniutilities:cursed_earth')
        r('miniutilities:dark_glass')
        r('miniutilities:dark_reverse_ethereal_glass')
        r('miniutilities:ender_dragon_angel_ring')
        r('miniutilities:ender_dust_to_ender_pearl')
        r('miniutilities:ender_pearl_block')
        r('miniutilities:ender_tile')
        r('miniutilities:feather_angel_ring')
        r('miniutilities:gold_angel_ring')
        r('miniutilities:laser_hub')
        r('miniutilities:laser_port')
        r('miniutilities:lunar_panel')
        r('miniutilities:magical_egg')
        r('miniutilities:mechanical_miner')
        r('miniutilities:mechanical_placer')
        r('miniutilities:peacock_angel_ring')
        r('miniutilities:quantum_quarry')
        r('miniutilities:solar_panel_controller')
        r('miniutilities:solar_panel')
        r('miniutilities:speed_upgrade')
        r('mob_grinding_utils:recipe_spikes')
        r('mob_grinding_utils:recipe_tintedglass')
        r('modularrouters:sender_module_1')
        r('morecreatestuffs:main/crushing/tagged/cobalt_block')
        r('mysticalagradditions:end_prosperity_shard_smelted')
        r('mysticalagradditions:insanium_farmland_till')
        r('mysticalagradditions:nether_prosperity_shard_smelted')
        r('mysticalagriculture:crops/chrome')
        r('mysticalagriculture:crops/graphite')
        r('mysticalagriculture:crops/iridium')
        r('mysticalagriculture:crops/mithril')
        r('mysticalagriculture:crops/platinum')
        r('mysticalagriculture:crops/rubber')
        r('mysticalagriculture:crops/titanium')
        r('mysticalagriculture:crops/tungsten')
        r('mysticalagriculture:essence/appliedenergistics2/calculation_press')
        r('mysticalagriculture:essence/appliedenergistics2/engineering_press')
        r('mysticalagriculture:essence/appliedenergistics2/logic_press')
        r('mysticalagriculture:essence/appliedenergistics2/silicon_press')
        r('mysticalagriculture:essence/common/platinum_ingot')
        r('mysticalagriculture:essence/common/saltpeter')
        r('mysticalagriculture:experience_capsule')
        r('mysticalagriculture:hostile_soulium_dagger')
        r('mysticalagriculture:imperium_farmland_till')
        r('mysticalagriculture:inferium_farmland_till')
        r('mysticalagriculture:passive_soulium_dagger')
        r('mysticalagriculture:prosperity_seed_base')
        r('mysticalagriculture:prosperity_shard_smelted')
        r('mysticalagriculture:prudentium_farmland_till')
        r('mysticalagriculture:seed/reprocessor/chrome')
        r('mysticalagriculture:seed/reprocessor/graphite')
        r('mysticalagriculture:seed/reprocessor/iridium')
        r('mysticalagriculture:seed/reprocessor/mithril')
        r('mysticalagriculture:seed/reprocessor/platinum')
        r('mysticalagriculture:seed/reprocessor/rubber')
        r('mysticalagriculture:seed/reprocessor/titanium')
        r('mysticalagriculture:seed/reprocessor/tungsten')
        r('mysticalagriculture:soul_extractor')
        r('mysticalagriculture:soul_jar_empty')
        r('mysticalagriculture:soul_jar')
        r('mysticalagriculture:souls/arrow')
        r('mysticalagriculture:souls/basalz_rod')
        r('mysticalagriculture:souls/beef')
        r('mysticalagriculture:souls/blaze_rod')
        r('mysticalagriculture:souls/blitz_rod')
        r('mysticalagriculture:souls/blizz_rod')
        r('mysticalagriculture:souls/bone')
        r('mysticalagriculture:souls/chicken')
        r('mysticalagriculture:souls/coal')
        r('mysticalagriculture:souls/cod')
        r('mysticalagriculture:souls/creeper_head')
        r('mysticalagriculture:souls/egg')
        r('mysticalagriculture:souls/ender_pearl')
        r('mysticalagriculture:souls/feather')
        r('mysticalagriculture:souls/ghast_tear')
        r('mysticalagriculture:souls/gunpowder')
        r('mysticalagriculture:souls/ink_sac')
        r('mysticalagriculture:souls/leather')
        r('mysticalagriculture:souls/mutton')
        r('mysticalagriculture:souls/porkchop')
        r('mysticalagriculture:souls/pufferfish')
        r('mysticalagriculture:souls/rabbit_foot')
        r('mysticalagriculture:souls/rabbit_hide')
        r('mysticalagriculture:souls/rabbit')
        r('mysticalagriculture:souls/rotten_flesh')
        r('mysticalagriculture:souls/salmon')
        r('mysticalagriculture:souls/scute')
        r('mysticalagriculture:souls/skeleton_skull')
        r('mysticalagriculture:souls/slime_ball')
        r('mysticalagriculture:souls/spider_eye')
        r('mysticalagriculture:souls/string')
        r('mysticalagriculture:souls/tropical_fish')
        r('mysticalagriculture:souls/wither_skeleton_skull')
        r('mysticalagriculture:souls/wool')
        r('mysticalagriculture:souls/zombie_head')
        r('mysticalagriculture:supremium_farmland_till')
        r('mysticalagriculture:tertium_farmland_till')
        r('pamhc2crops:bread_grain')
        r('pamhc2crops:wax_x1_candleberry')
        r('pamhc2foodcore:bread_dough')
        r('pamhc2foodcore:doughitem_x2')
        r('pamhc2foodcore:fruitpunchitem')
        r('pamhc2trees:bread_breadfruit')
        r('pamhc2trees:wax_x1_candleberry')
        r('pamhc2trees:wax_x1_candlenut')
        r('powah:crafting/dielectric_paste_2')
        r('powah:crafting/dielectric_rod')
        r('powah:nitro_crystal')
        r('projectred-core:anode')
        r('projectred-core:copper_coil')
        r('projectred-core:draw_plate')
        r('projectred-core:energized_silicon_chip')
        r('projectred-core:gold_coil')
        r('projectred-core:iron_coil')
        r('projectred-core:motor')
        r('projectred-core:platformed_plate')
        r('projectred-core:pointer')
        r('projectred-core:sail')
        r('projectred-core:sand_coal_comp')
        r('projectred-core:screwdriver')
        r('projectred-core:silicon_chip')
        r('projectred-core:woven_cloth')
        r('quark:building/crafting/compressed/apple_crate_uncompress')
        r('quark:building/crafting/compressed/apple_crate')
        r('quark:building/crafting/compressed/bamboo_block_uncompress')
        r('quark:building/crafting/compressed/bamboo_block')
        r('quark:building/crafting/compressed/beetroot_crate_uncompress')
        r('quark:building/crafting/compressed/beetroot_crate')
        r('quark:building/crafting/compressed/carrot_crate_uncompress')
        r('quark:building/crafting/compressed/carrot_crate')
        r('quark:building/crafting/compressed/charcoal_block_uncompress')
        r('quark:building/crafting/compressed/charcoal_block')
        r('quark:building/crafting/compressed/potato_crate_uncompress')
        r('quark:building/crafting/compressed/potato_crate')
        r('quark:building/crafting/compressed/sugar_cane_block_uncompress')
        r('quark:building/crafting/compressed/sugar_cane_block')
        r('quark:tweaks/crafting/utility/bent/bread')
        r('simplyjetpacks:ie/armorplating_ie1')
        r('simplyjetpacks:ie/armorplating_ie2')
        r('simplyjetpacks:ie/armorplating_ie3')
        r('simplyjetpacks:ie/jetpack_ie1_armored')
        r('simplyjetpacks:ie/jetpack_ie1_from_armored')
        r('simplyjetpacks:ie/jetpack_ie1')
        r('simplyjetpacks:ie/jetpack_ie2_armored')
        r('simplyjetpacks:ie/jetpack_ie2_from_armored')
        r('simplyjetpacks:ie/jetpack_ie2')
        r('simplyjetpacks:ie/jetpack_ie3_armored')
        r('simplyjetpacks:ie/jetpack_ie3_from_armored')
        r('simplyjetpacks:ie/jetpack_ie3')
        r('simplyjetpacks:ie/thruster_ie1')
        r('simplyjetpacks:ie/thruster_ie1')
        r('simplyjetpacks:ie/thruster_ie2')
        r('simplyjetpacks:ie/thruster_ie2')
        r('simplyjetpacks:ie/thruster_ie3')
        r('simplyjetpacks:ie/thruster_ie3')
        r('simplyjetpacks:mek/armorplating_mek1')
        r('simplyjetpacks:mek/armorplating_mek2')
        r('simplyjetpacks:mek/armorplating_mek3')
        r('simplyjetpacks:mek/armorplating_mek4')
        r('simplyjetpacks:mek/jetpack_mek1_armored')
        r('simplyjetpacks:mek/jetpack_mek1_from_armored')
        r('simplyjetpacks:mek/jetpack_mek1')
        r('simplyjetpacks:mek/jetpack_mek2_armored')
        r('simplyjetpacks:mek/jetpack_mek2_from_armored')
        r('simplyjetpacks:mek/jetpack_mek2')
        r('simplyjetpacks:mek/jetpack_mek3_armored')
        r('simplyjetpacks:mek/jetpack_mek3_from_armored')
        r('simplyjetpacks:mek/jetpack_mek3')
        r('simplyjetpacks:mek/jetpack_mek4_armored')
        r('simplyjetpacks:mek/jetpack_mek4_from_armored')
        r('simplyjetpacks:mek/jetpack_mek4')
        r('simplyjetpacks:mek/thruster_mek1')
        r('simplyjetpacks:mek/thruster_mek2')
        r('simplyjetpacks:mek/thruster_mek3')
        r('simplyjetpacks:mek/thruster_mek4')
        r('simplyjetpacks:sj/guidebook')
        r('simplyjetpacks:sj/jetpack_potato')
        r('simplyjetpacks:sj/particle_default')
        r('simplyjetpacks:sj/particle_none')
        r('simplyjetpacks:sj/particle_rainbow')
        r('simplyjetpacks:sj/particle_smoke')
        r('simplyjetpacks:thermal/armorplating_te5_enderium')
        r('simplyjetpacks:thermal/armorplating_te5')
        r('simplyjetpacks:thermal/flux_chestplate')
        r('simplyjetpacks:thermal/jetpack_te5_armored_alt')
        r('simplyjetpacks:thermal/thruster_te5_alt')
        r('simplyjetpacks:thermal/unit_cryotheum_empty')
        r('simplyjetpacks:thermal/unit_glowstone_empty')
        r('simplyjetpacks:vanilla/jetpack_vanilla1_armored')
        r('simplyjetpacks:vanilla/jetpack_vanilla1_from_armored')
        r('simplyjetpacks:vanilla/jetpack_vanilla1')
        r('simplyjetpacks:vanilla/jetpack_vanilla2_armored')
        r('simplyjetpacks:vanilla/jetpack_vanilla2_from_armored')
        r('simplyjetpacks:vanilla/jetpack_vanilla2')
        r('simplyjetpacks:vanilla/jetpack_vanilla3_armored')
        r('simplyjetpacks:vanilla/jetpack_vanilla3_from_armored')
        r('simplyjetpacks:vanilla/jetpack_vanilla3')
        r('simplyjetpacks:vanilla/jetpack_vanilla4_armored')
        r('simplyjetpacks:vanilla/jetpack_vanilla4_from_armored')
        r('simplyjetpacks:vanilla/jetpack_vanilla4')
        r('simplyjetpacks:vanilla/thruster_vanilla1')
        r('simplyjetpacks:vanilla/thruster_vanilla2')
        r('simplyjetpacks:vanilla/thruster_vanilla3')
        r('simplyjetpacks:vanilla/thruster_vanilla4')
        r('storagedrawers:acacia_full_drawers_1')
        r('storagedrawers:acacia_full_drawers_2')
        r('storagedrawers:acacia_full_drawers_4')
        r('storagedrawers:acacia_half_drawers_1')
        r('storagedrawers:acacia_half_drawers_2')
        r('storagedrawers:acacia_half_drawers_4')
        r('storagedrawers:acacia_trim')
        r('storagedrawers:birch_full_drawers_1')
        r('storagedrawers:birch_full_drawers_2')
        r('storagedrawers:birch_full_drawers_4')
        r('storagedrawers:birch_half_drawers_1')
        r('storagedrawers:birch_half_drawers_2')
        r('storagedrawers:birch_half_drawers_4')
        r('storagedrawers:birch_trim')
        r('storagedrawers:crimson_full_drawers_1')
        r('storagedrawers:crimson_full_drawers_2')
        r('storagedrawers:crimson_full_drawers_4')
        r('storagedrawers:crimson_half_drawers_1')
        r('storagedrawers:crimson_half_drawers_2')
        r('storagedrawers:crimson_half_drawers_4')
        r('storagedrawers:crimson_trim')
        r('storagedrawers:dark_oak_full_drawers_1')
        r('storagedrawers:dark_oak_full_drawers_2')
        r('storagedrawers:dark_oak_full_drawers_4')
        r('storagedrawers:dark_oak_half_drawers_1')
        r('storagedrawers:dark_oak_half_drawers_2')
        r('storagedrawers:dark_oak_half_drawers_4')
        r('storagedrawers:dark_oak_trim')
        r('storagedrawers:jungle_full_drawers_1')
        r('storagedrawers:jungle_full_drawers_2')
        r('storagedrawers:jungle_full_drawers_4')
        r('storagedrawers:jungle_half_drawers_1')
        r('storagedrawers:jungle_half_drawers_2')
        r('storagedrawers:jungle_half_drawers_4')
        r('storagedrawers:jungle_trim')
        r('storagedrawers:oak_full_drawers_1')
        r('storagedrawers:oak_full_drawers_2')
        r('storagedrawers:oak_full_drawers_4')
        r('storagedrawers:oak_half_drawers_1')
        r('storagedrawers:oak_half_drawers_2')
        r('storagedrawers:oak_half_drawers_4')
        r('storagedrawers:oak_trim')
        r('storagedrawers:spruce_full_drawers_1')
        r('storagedrawers:spruce_full_drawers_2')
        r('storagedrawers:spruce_full_drawers_4')
        r('storagedrawers:spruce_half_drawers_1')
        r('storagedrawers:spruce_half_drawers_2')
        r('storagedrawers:spruce_half_drawers_4')
        r('storagedrawers:spruce_trim')
        r('storagedrawers:warped_full_drawers_1')
        r('storagedrawers:warped_full_drawers_2')
        r('storagedrawers:warped_full_drawers_4')
        r('storagedrawers:warped_half_drawers_1')
        r('storagedrawers:warped_half_drawers_2')
        r('storagedrawers:warped_half_drawers_4')
        r('storagedrawers:warped_trim')
        r('tconstruct:common/materials/copper_block_from_ingots')
        r('tconstruct:common/materials/copper_ingot_blasting')
        r('tconstruct:common/materials/copper_ingot_from_block')
        r('tconstruct:common/materials/copper_ingot_from_nuggets')
        r('tconstruct:common/materials/copper_ingot_smelting')
        r('tconstruct:common/materials/copper_nugget_from_ingot')
        r('tconstruct:compat/immersiveengineering/treated_wood')
        r('tconstruct:compat/refined_obsidian_ingot')
        r('tconstruct:crops/cobalt')
        r('tconstruct:crops/hepatizon')
        r('tconstruct:crops/manyullyn')
        r('tconstruct:crops/pig_iron')
        r('tconstruct:crops/queens_slime')
        r('tconstruct:crops/rose_gold')
        r('tconstruct:crops/slimesteel')
        r('tconstruct:crops/tinkers_bronze')
        r('tconstruct:smeltery/alloys/molten_brass')
        r('tconstruct:smeltery/alloys/molten_bronze')
        r('tconstruct:smeltery/alloys/molten_constantan')
        r('tconstruct:smeltery/alloys/molten_electrum')
        r('tconstruct:smeltery/alloys/molten_enderium')
        r('tconstruct:smeltery/alloys/molten_hepatizon')
        r('tconstruct:smeltery/alloys/molten_invar')
        r('tconstruct:smeltery/alloys/molten_lumium')
        r('tconstruct:smeltery/alloys/molten_manyullyn')
        r('tconstruct:smeltery/alloys/molten_netherite')
        r('tconstruct:smeltery/alloys/molten_obsidian')
        r('tconstruct:smeltery/alloys/molten_pig_iron')
        r('tconstruct:smeltery/alloys/molten_queens_slime')
        r('tconstruct:smeltery/alloys/molten_refined_obsidian')
        r('tconstruct:smeltery/alloys/molten_rose_gold')
        r('tconstruct:smeltery/alloys/molten_signalum')
        r('tconstruct:smeltery/alloys/molten_slimesteel')
        r('tconstruct:smeltery/alloys/molten_tinkers_bronze')
        r('tconstruct:smeltery/casting/metal/aluminum/plate_gold_cast')
        r('tconstruct:smeltery/casting/metal/aluminum/plate_sand_cast')
        r('tconstruct:smeltery/casting/metal/aluminum/wire_gold_cast')
        r('tconstruct:smeltery/casting/metal/aluminum/wire_sand_cast')
        r('tconstruct:smeltery/casting/metal/brass/plate_gold_cast')
        r('tconstruct:smeltery/casting/metal/brass/plate_sand_cast')
        r('tconstruct:smeltery/casting/metal/bronze/gear_gold_cast')
        r('tconstruct:smeltery/casting/metal/bronze/gear_sand_cast')
        r('tconstruct:smeltery/casting/metal/bronze/plate_gold_cast')
        r('tconstruct:smeltery/casting/metal/bronze/plate_sand_cast')
        r('tconstruct:smeltery/casting/metal/constantan/gear_gold_cast')
        r('tconstruct:smeltery/casting/metal/constantan/gear_sand_cast')
        r('tconstruct:smeltery/casting/metal/constantan/plate_gold_cast')
        r('tconstruct:smeltery/casting/metal/constantan/plate_sand_cast')
        r('tconstruct:smeltery/casting/metal/copper/gear_gold_cast')
        r('tconstruct:smeltery/casting/metal/copper/gear_sand_cast')
        r('tconstruct:smeltery/casting/metal/copper/plate_gold_cast')
        r('tconstruct:smeltery/casting/metal/copper/plate_sand_cast')
        r('tconstruct:smeltery/casting/metal/copper/wire_gold_cast')
        r('tconstruct:smeltery/casting/metal/copper/wire_sand_cast')
        r('tconstruct:smeltery/casting/metal/electrum/gear_gold_cast')
        r('tconstruct:smeltery/casting/metal/electrum/gear_sand_cast')
        r('tconstruct:smeltery/casting/metal/electrum/plate_gold_cast')
        r('tconstruct:smeltery/casting/metal/electrum/plate_sand_cast')
        r('tconstruct:smeltery/casting/metal/electrum/wire_gold_cast')
        r('tconstruct:smeltery/casting/metal/electrum/wire_sand_cast')
        r('tconstruct:smeltery/casting/metal/enderium/gear_gold_cast')
        r('tconstruct:smeltery/casting/metal/enderium/gear_sand_cast')
        r('tconstruct:smeltery/casting/metal/enderium/plate_gold_cast')
        r('tconstruct:smeltery/casting/metal/enderium/plate_sand_cast')        
        r('tconstruct:smeltery/casting/metal/gold/gear_gold_cast')
        r('tconstruct:smeltery/casting/metal/gold/gear_sand_cast')
        r('tconstruct:smeltery/casting/metal/gold/plate_gold_cast')
        r('tconstruct:smeltery/casting/metal/gold/plate_sand_cast')
        r('tconstruct:smeltery/casting/metal/gold/wire_gold_cast')
        r('tconstruct:smeltery/casting/metal/gold/wire_sand_cast')
        r('tconstruct:smeltery/casting/metal/invar/gear_gold_cast')
        r('tconstruct:smeltery/casting/metal/invar/gear_sand_cast')
        r('tconstruct:smeltery/casting/metal/invar/plate_gold_cast')
        r('tconstruct:smeltery/casting/metal/invar/plate_sand_cast')
        r('tconstruct:smeltery/casting/metal/iron/gear_gold_cast')
        r('tconstruct:smeltery/casting/metal/iron/gear_sand_cast')
        r('tconstruct:smeltery/casting/metal/iron/plate_gold_cast')
        r('tconstruct:smeltery/casting/metal/iron/plate_sand_cast')
        r('tconstruct:smeltery/casting/metal/iron/wire_gold_cast')
        r('tconstruct:smeltery/casting/metal/iron/wire_sand_cast')
        r('tconstruct:smeltery/casting/metal/lead/gear_gold_cast')
        r('tconstruct:smeltery/casting/metal/lead/gear_sand_cast')
        r('tconstruct:smeltery/casting/metal/lead/plate_gold_cast')
        r('tconstruct:smeltery/casting/metal/lead/plate_sand_cast')
        r('tconstruct:smeltery/casting/metal/lead/wire_gold_cast')
        r('tconstruct:smeltery/casting/metal/lead/wire_sand_cast')
        r('tconstruct:smeltery/casting/metal/lumium/gear_gold_cast')
        r('tconstruct:smeltery/casting/metal/lumium/gear_sand_cast')
        r('tconstruct:smeltery/casting/metal/lumium/plate_gold_cast')
        r('tconstruct:smeltery/casting/metal/lumium/plate_sand_cast')
        r('tconstruct:smeltery/casting/metal/netherite/gear_gold_cast')
        r('tconstruct:smeltery/casting/metal/netherite/gear_sand_cast')
        r('tconstruct:smeltery/casting/metal/netherite/plate_gold_cast')
        r('tconstruct:smeltery/casting/metal/netherite/plate_sand_cast')
        r('tconstruct:smeltery/casting/metal/nickel/gear_gold_cast')
        r('tconstruct:smeltery/casting/metal/nickel/gear_sand_cast')
        r('tconstruct:smeltery/casting/metal/nickel/plate_gold_cast')
        r('tconstruct:smeltery/casting/metal/nickel/plate_sand_cast')
        r('tconstruct:smeltery/casting/metal/signalum/gear_gold_cast')
        r('tconstruct:smeltery/casting/metal/signalum/gear_sand_cast')
        r('tconstruct:smeltery/casting/metal/signalum/plate_gold_cast')
        r('tconstruct:smeltery/casting/metal/signalum/plate_sand_cast')
        r('tconstruct:smeltery/casting/metal/silver/gear_gold_cast')
        r('tconstruct:smeltery/casting/metal/silver/gear_sand_cast')
        r('tconstruct:smeltery/casting/metal/silver/plate_gold_cast')
        r('tconstruct:smeltery/casting/metal/silver/plate_sand_cast')
        r('tconstruct:smeltery/casting/metal/steel/gear_gold_cast')
        r('tconstruct:smeltery/casting/metal/steel/gear_sand_cast')
        r('tconstruct:smeltery/casting/metal/steel/plate_gold_cast')
        r('tconstruct:smeltery/casting/metal/steel/plate_sand_cast')
        r('tconstruct:smeltery/casting/metal/steel/wire_gold_cast')
        r('tconstruct:smeltery/casting/metal/steel/wire_sand_cast')
        r('tconstruct:smeltery/casting/metal/tin/gear_gold_cast')
        r('tconstruct:smeltery/casting/metal/tin/gear_sand_cast')
        r('tconstruct:smeltery/casting/metal/tin/plate_gold_cast')
        r('tconstruct:smeltery/casting/metal/tin/plate_sand_cast')
        r('tconstruct:smeltery/casting/metal/uranium/plate_gold_cast')
        r('tconstruct:smeltery/casting/metal/uranium/plate_sand_cast')
        r('tconstruct:smeltery/casting/metal/zinc/plate_gold_cast')
        r('tconstruct:smeltery/casting/metal/zinc/plate_sand_cast')
        r('tconstruct:smeltery/casting/redstone/block')
        r('tconstruct:smeltery/casts/gold_casts/gears')
        r('tconstruct:smeltery/casts/gold_casts/plates')
        r('tconstruct:smeltery/casts/gold_casts/wires')
        r('tconstruct:smeltery/casts/red_sand_casts/gears')
        r('tconstruct:smeltery/casts/red_sand_casts/plates')
        r('tconstruct:smeltery/casts/red_sand_casts/wires')
        r('tconstruct:smeltery/casts/sand_casts/gears')
        r('tconstruct:smeltery/casts/sand_casts/plates')
        r('tconstruct:smeltery/casts/sand_casts/wires')
        r('tconstruct:smeltery/melting/redstone/block')
        r('tconstruct:smeltery/melting/redstone/ore')
        r('tconstruct:tables/book_substitute')
        r('tdelight:smeltery/alloys/molten_hamletite')
        r('tdelight:smeltery/casting/composite_gildedfern')
        r('tdelight:smeltery/casting/composite_rosenquartz')
        r('thermal:bronze_dust_4')
        r('thermal:compat/appliedenergistics2/pulverizer_ae2_ender_pearl_dust')
        r('thermal:compat/betterendforge/smelter_betterendforge_terminite_ingot')
        r('thermal:compat/create/smelter_create_alloy_andesite_alloy')
        r('thermal:compat/create/smelter_create_alloy_brass')
        r('thermal:compat/immersiveengineering/press_ie_uranium_ingot_to_plate')
        r('thermal:compat/mysticalagriculture/insolator_mysticalag_chrome_seeds')
        r('thermal:compat/mysticalagriculture/insolator_mysticalag_graphite_seeds')
        r('thermal:compat/mysticalagriculture/insolator_mysticalag_iridium_seeds')
        r('thermal:compat/mysticalagriculture/insolator_mysticalag_mithril_seeds')
        r('thermal:compat/mysticalagriculture/insolator_mysticalag_platinum_seeds')
        r('thermal:compat/mysticalagriculture/insolator_mysticalag_rubber_seeds')
        r('thermal:compat/mysticalagriculture/insolator_mysticalag_titanium_seeds')
        r('thermal:compat/mysticalagriculture/insolator_mysticalag_tungsten_seeds')
        r('thermal:compat/tconstruct/smelter_alloy_tconstruct_hepatizon_ingot')
        r('thermal:compat/tconstruct/smelter_alloy_tconstruct_manyullyn_ingot')
        r('thermal:compat/tconstruct/smelter_alloy_tconstruct_pigiron_ingot')
        r('thermal:compat/tconstruct/smelter_alloy_tconstruct_queens_slime_ingot')
        r('thermal:compat/tconstruct/smelter_alloy_tconstruct_rose_gold_ingot')
        r('thermal:compat/tconstruct/smelter_alloy_tconstruct_slimesteel_ingot')
        r('thermal:compat/tconstruct/smelter_alloy_tconstruct_tinkers_bronze_ingot')
        r('thermal:constantan_dust_2')
        r('thermal:device_hive_extractor')
        r('thermal:earth_charge/apatite_dust_from_apatite')
        r('thermal:earth_charge/cinnabar_dust_from_cinnabar')
        r('thermal:earth_charge/diamond_dust_from_diamond')
        r('thermal:earth_charge/emerald_dust_from_emerald')
        r('thermal:earth_charge/ender_pearl_dust_from_ender_pearl')
        r('thermal:earth_charge/lapis_dust_from_lapis')
        r('thermal:earth_charge/niter_dust_from_niter')
        r('thermal:earth_charge/prismarine_shard_from_prismarine_bricks')
        r('thermal:earth_charge/prismarine_shard_from_prismarine')
        r('thermal:earth_charge/quartz_dust_from_quartz')
        r('thermal:earth_charge/quartz_from_quartz_block')
        r('thermal:earth_charge/sulfur_dust_from_sulfur')
        r('thermal:electrum_dust_2')
        r('thermal:ender_grenade_4')
        r('thermal:ender_tnt')
        r('thermal:enderium_dust_2')
        r('thermal:fire_charge/bronze_ingot_4')
        r('thermal:fire_charge/constantan_ingot_2')
        r('thermal:fire_charge/electrum_ingot_2')
        r('thermal:fire_charge/enderium_ingot_2')
        r('thermal:fire_charge/invar_ingot_3')
        r('thermal:fire_charge/lumium_ingot_4')
        r('thermal:fire_charge/signalum_ingot_4')
        r('thermal:invar_dust_3')
        r('thermal:lumium_dust_4')
        r('thermal:machine/bottler/bottler_honey_bottle')
        r('thermal:machine/chiller/chiller_redstone_to_redstone_block')
        r('thermal:machine/crucible/crucible_redstone_block')
        r('thermal:machine/press/press_aluminum_ingot_to_plate')
        r('thermal:machine/press/press_bronze_ingot_to_plate')
        r('thermal:machine/press/press_constantan_ingot_to_plate')
        r('thermal:machine/press/press_copper_ingot_to_plate')
        r('thermal:machine/press/press_dandelion_to_latex')
        r('thermal:machine/press/press_electrum_ingot_to_plate')
        r('thermal:machine/press/press_enderium_ingot_to_plate')
        r('thermal:machine/press/press_gold_ingot_to_plate')
        r('thermal:machine/press/press_invar_ingot_to_plate')
        r('thermal:machine/press/press_iron_ingot_to_plate')
        r('thermal:machine/press/press_lead_ingot_to_plate')
        r('thermal:machine/press/press_lumium_ingot_to_plate')
        r('thermal:machine/press/press_nickel_ingot_to_plate')
        r('thermal:machine/press/press_signalum_ingot_to_plate')
        r('thermal:machine/press/press_silver_ingot_to_plate')
        r('thermal:machine/press/press_tin_ingot_to_plate')
        r('thermal:machine/press/press_vine_to_latex')
        r('thermal:machine/pyrolyzer/pyrolyzer_logs')
        r('thermal:machine/smelter/smelter_alloy_bronze')
        r('thermal:machine/smelter/smelter_alloy_constantan')
        r('thermal:machine/smelter/smelter_alloy_electrum')
        r('thermal:machine/smelter/smelter_alloy_enderium')
        r('thermal:machine/smelter/smelter_alloy_invar')
        r('thermal:machine/smelter/smelter_alloy_lumium')
        r('thermal:machine/smelter/smelter_alloy_netherite')
        r('thermal:machine/smelter/smelter_alloy_signalum')
        r('thermal:machines/press/press_steel_ingot_to_plate')
        r('thermal:parts/bronze_gear')
        r('thermal:parts/constantan_gear')
        r('thermal:parts/copper_gear')
        r('thermal:parts/diamond_gear')
        r('thermal:parts/electrum_gear')
        r('thermal:parts/emerald_gear')
        r('thermal:parts/enderium_gear')
        r('thermal:parts/gold_gear')
        r('thermal:parts/invar_gear')
        r('thermal:parts/iron_gear')
        r('thermal:parts/lapis_gear')
        r('thermal:parts/lead_gear')
        r('thermal:parts/lumium_gear')
        r('thermal:parts/netherite_gear')
        r('thermal:parts/nickel_gear')
        r('thermal:parts/quartz_gear')
        r('thermal:parts/signalum_gear')
        r('thermal:parts/silver_gear')
        r('thermal:parts/tin_gear')
        r('thermal:rubber_from_dandelion')
        r('thermal:rubber_from_vine')
        r('thermal:signalum_dust_4')
        r('tinkersarchery:smeltery/alloys/molten_cobalt_tantalum')
        r('tinkersarchery:smeltery/alloys/molten_galaxy_alloy')
        r('createaddition:compat/immersiveengineering/blastfurnace_preheater')
})